Help Centre

   
 
 

Attaché Server Patch 18.01

On this page

About Attaché Server Patch 18.01

This topic applies if you are experiencing a memory leak when opening and closing multi-record tables in your Attaché system. The memory leak may cause Error 95 or your Attaché database to crash. You will need to install the patch to resolve the issue. 

Note: The patch is not subject to the same rigorous level of testing as done for releases. It is highly recommended that you install and test this patch in a test environment prior to full production implementation.

Installation

  1. Download the attache-server-patch-18.01.zip file from the Attaché Members website
  2. Unzip or extract the file to your local folder, for example C:\Apps\CtreeServerPatch.exe.   
  3. Ensure all users are logged out of Attaché. 
  4. Stop all Attaché Services
    1. Attaché Cloud Connector – Message Processor
    2. Attaché Cloud Connector – Message Relay
    3. Attaché Database Server
    4. Attaché Service API
  5. Run CtreeServerPatch.exe as administrator. 
  6. Enter your SUPERVISOR password.



    1. If the password is correct and there are users logged in to Attaché, a list of logged-in users is displayed and the command prompt is left open:
    2. If the password is correct and no users are logged in, the patch will stop all the services, continue to install and then restart services after installation.

    3. If the password is incorrect a message is displayed: Please manually check if there are users logged into Attache before continuing. Continue (Y/N)?  
      1. select Y if you want to stop services, continue to install then restart services after installation. 
      2. select N if you want to exit and close the command prompt.

  7. The services will restart after the installation is complete. The whole process should normally only take a few minutes. 

  8. When the installation is complete, verify that ctreedbs.dll, ctreesql.exe, CTSRES.DLL, and ctsrmc.dll are installed in the AttacheServer folder.
    UpgradedFiles.png 
  9. Verify that the version is 11.2.2.22003 (Build-170117_180710)
    FileVersion.png

  10. In the Control Panel, verify that the Attaché Server version is updated to x.x.x.9000.
    ServerVersion.png


Frequently Asked Questions

  1. Does the installation require Admin rights? 
    Yes.

  2. What if the services do not stop automatically? 
    If you are experiencing a memory leak, you may not be able to manually stop the services due to file locks. You may need to restart the psychical or virtual machine and then continue with the process.

Affected versions

  • Attaché 18.2.1 (June 2018
  • Attaché 18.1 (May 2018)
  • Attaché BI version 3.7.2 (November 2017) 

Applies to Attaché Database Server 32-bit and 64-bit